Loading...
Searching...
No Matches
text.h File Reference

Text rendering - CText class. More...

`#include "graphics/core/color.h"`
`#include "math/intpoint.h"`
`#include "math/point.h"`
`#include <map>`
`#include <memory>`
`#include <vector>`
Include dependency graph for text.h:

## Classes

struct | Gfx::UTF8Char
| UTF-8 character in font cache. More...
struct | Gfx::CharTexture
| Texture of font character. More...
class | Gfx::CText
| Text rendering engine. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Typedefs

typedef short | Gfx::FontMetaChar
| Type used for font character metainfo.

## Enumerations

enum | Gfx::TextAlign { TEXT_ALIGN_RIGHT , TEXT_ALIGN_LEFT , TEXT_ALIGN_CENTER }
| Type of text alignment. More...

enum

Gfx::FontType : unsigned char {
Gfx::FONT_BOLD = 0b0000'01'00 , Gfx::FONT_ITALIC = 0b0000'10'00 , Gfx::FONT_COMMON = 0b0000'00'00 , Gfx::FONT_COMMON_BOLD = FONT_COMMON | FONT_BOLD ,
Gfx::FONT_COMMON_ITALIC = FONT_COMMON | FONT_ITALIC , Gfx::FONT_STUDIO = 0b0000'00'01 , Gfx::FONT_STUDIO_BOLD = FONT_STUDIO | FONT_BOLD , Gfx::FONT_STUDIO_ITALIC = FONT_STUDIO | FONT_ITALIC ,
Gfx::FONT_SATCOM = 0b0000'00'10 , Gfx::FONT_SATCOM_BOLD = FONT_SATCOM | FONT_BOLD , Gfx::FONT_SATCOM_ITALIC = FONT_SATCOM | FONT_ITALIC , Gfx::FONT_BUTTON = 0b0000'00'11
}

| Type of font. More...
enum | Gfx::FontTitle { FONT_TITLE_BIG = 0x01 << 4 , FONT_TITLE_NORM = 0x02 << 4 , FONT_TITLE_LITTLE = 0x03 << 4 }
| Size of font title. More...

enum

Gfx::FontHighlight {
FONT_HIGHLIGHT_NONE = 0x00 << 6 , Gfx::FONT_HIGHLIGHT_TABLE = 0x02 << 6 , Gfx::FONT_HIGHLIGHT_KEY = 0x03 << 6 , Gfx::FONT_HIGHLIGHT_TOKEN = 0x04 << 6 ,
Gfx::FONT_HIGHLIGHT_TYPE = 0x05 << 6 , Gfx::FONT_HIGHLIGHT_CONST = 0x06 << 6 , Gfx::FONT_HIGHLIGHT_THIS = 0x07 << 6 , Gfx::FONT_HIGHLIGHT_COMMENT = 0x08 << 6 ,
Gfx::FONT_HIGHLIGHT_KEYWORD = 0x09 << 6 , Gfx::FONT_HIGHLIGHT_STRING = 0x0A << 6
}

| Type of color highlight for text. More...
enum | Gfx::FontMask { Gfx::FONT_MASK_FONT = 0x00f , Gfx::FONT_MASK_TITLE = 0x030 , Gfx::FONT_MASK_HIGHLIGHT = 0x3c0 , Gfx::FONT_MASK_LINK = 0x400 , Gfx::FONT_MASK_IMAGE = 0x800 }
| Masks in FontMetaChar for different attributes. More...
enum | Gfx::SpecialChar { CHAR_TAB = '\t' , Gfx::CHAR_NEWLINE = '\n' , Gfx::CHAR_DOT = 1 , Gfx::CHAR_SQUARE = 2 , Gfx::CHAR_SKIP_RIGHT = 5 , Gfx::CHAR_SKIP_LEFT = 6 }
| Special codes for certain characters. More...

## Functions

std::string | Gfx::ToString (FontType type)

## Variables

const float | Gfx::FONT_SIZE_SMALL = 12.0f
| Standard small font size.
const float | Gfx::FONT_SIZE_BIG = 18.0f
| Standard big font size.

## Detailed Description

Text rendering - CText class.